script_name("Vehicle Controle Menu")
script_author("ScoomaAli")



require "lib.moonloader"

require "lib.vkeys"

local NativeUI = require "lib.nativeUI.int_menu"

local VMenu = NativeUI:create()

function main( )
     VMenu:setTitleText("Vehicle Control")
     VMenu:setOpenKey(VK_F9)
     VMenu:addPanel("Vehicle Controls")

     VMenu:addRow("Engine On/Off")
     VMenu:rowSetDescription("Turn the engine on or off")
     VMenu:rowSetAction(vehEngine)

     VMenu:addRow("Engine Lock/ Unlock")
     VMenu:rowSetDescription("Lock or unlock your vehicle")

     VMenu:addRow("Doors")
     
     VMenu:rowAddProperty_List({"Hood", "Boot", "Front left door (driver)", "Front right door (passenger)", "Back left door ", "Front right door"})
     VMenu:rowSetDescription("chose a vehicle door to control it")
     VMenu:rowSwitchTo_ListRow()
     
     VMenu:addRow("Door Open/Close")
     VMenu:rowSetDescription("open or close chosen door")
     VMenu:rowSetAction(vehicleDoors)
     
    

     while true do
         wait(0)
         if isCharInAnyCar( PLAYER_PED) then
            VMenu:show()
         end
     end
end

    

function vehEngine ()
    if isCharInAnyCar(PLAYER_PED) then 
        local car = getCarCharIsUsing(PLAYER_PED)
        local state = not  isCarEngineOn(car)
        setCarEngineOn(car, state)
    end
end


function vehicleDoors ()
    local car = getCarCharIsUsing(PLAYER_PED)
    if car then 
        local currentSelectedDoorID = VMenu:listRow_getListIndex(3)
         local carDoorID = currentSelectedDoorID - 1
      if not isCarDoorFullyOpen( car,carDoorID) then 
            openCarDoor(car,carDoorID)
      else 
            fixCarDoor(car,carDoorID)
      end

    end

end