script_name("Car Carriere Mod V1.0")

script_author("ScoomaAli")
script_properties('work-in-pause', 'forced-reloading-only')
require "lib.moonloader"
require "lib.vkeys"

local attachedCars = {
    nil,nil,nil,nil,nil,
}

local NativeUI = require ("lib.nativeUI.int_menu")

local MENU = NativeUI:create()

local truck = nil

function main ()

requestModel(443)
loadAllModelsNow()

   --MENU:setTitleTexture("interaction")
   --MENU:setTitleText("Native UI")
    MENU:removeTitleBlock()
    
    --MENU:setOpenKey({VK_LSHIFT, VK_B})
   
    
    MENU:addPanel("Car Carriere trailer V1.0")
    
    
    

    

    MENU:addRow("Spawn/destroy truck")
    MENU:rowSetAction(spawnTruck)
   -- MENU:rowSetDescription("spawn or destroy a car carrier truck ",1)
    MENU:rowSetDescription("spawn or destroy a car carrier truck")
    

    if truck then
        MENU:rowAddProperty_RightText("~g~Spawned")
        MENU:rowSwitchTo_RightTextRow()
    else
        MENU:rowAddProperty_RightText("~r~Unspawned !")
        MENU:rowSwitchTo_RightTextRow()
        
    end

    MENU:addRow("Repair truck")
    MENU:rowSetAction(fixTruck)
   
    MENU:rowSetDescription("repair and fix your trailer")

   

    MENU:addRow("Attach/Detach vehicle")
    
    MENU:rowAddProperty_Redirect(2)
    MENU:rowSwitchTo_RedirectRow()
   
    MENU:rowSetDescription("Attach or detach your vehicle to the trailer")

    MENU:addPanel("chose the vehicle position")

    --MENU:addRow("position 1 ",2)
    
   
    
    MENU:addRow("Pos 1")
    MENU:rowAddProperty_RightText( "NULL")
    MENU:rowSwitchTo_RightTextRow()
    MENU:rowSetAction(attachTruck,{1})

    MENU:addRow("Pos 2")
    MENU:rowAddProperty_RightText("NULL")
    MENU:rowSwitchTo_RightTextRow()
    MENU:rowSetAction(attachTruck,{2})

    MENU:addRow("Pos 3")
    MENU:rowAddProperty_RightText("NULL")
    MENU:rowSwitchTo_RightTextRow()
    MENU:rowSetAction(attachTruck,{3})

    MENU:addRow("Pos 4")
    MENU:rowAddProperty_RightText("NULL")
    MENU:rowSwitchTo_RightTextRow()
    MENU:rowSetAction(attachTruck,{4})

    MENU:addRow("Pos 5")
    MENU:rowAddProperty_RightText("NULL")
    MENU:rowSwitchTo_RightTextRow()
    MENU:rowSetAction(attachTruck,{5})

  
   MENU:setOpenKey({VK_LSHIFT,VK_B})

    while true do 
        wait(0)
       
        MENU:show()

    end
    
  
   




end



function spawnTruck ()

    if not truck then
        
        local x, y, z =  getCharCoordinates(PLAYER_PED)
        
        truck = createCar(443,x + 3,y + 3,z +1)
        MENU:rowAddProperty_RightText("~g~Spawned",1,1)
        MENU:rowSwitchTo_RightTextRow(1,1)
    else 
       if not isCharInCar(PLAYER_PED, truck) then 
        
        deleteCar(truck)
        MENU:rowAddProperty_RightText("~r~Unspawned",1,1)
        MENU:rowSwitchTo_RightTextRow(1,1)
        truck = nil
       else 

        printStringNow("~r~ exit the truck first !",2000)

       end
    
    end


end


function fixTruck ()

    if truck then 
        fixCar(truck)
        printStringNow(" ~g~Truck fixed succes",2000)
    elseif truck == nil then 
        printStyledString( "~r~ spawn truck first ", 2000,1)
         
    end


end


function attachTruck (pos)

    

    local x, y, z = 0,0,0

    if pos == 1 then 
        x,y,z = 0,-5,0.5
    elseif pos == 2 then
        x,y,z = 0,-0.5,0.5
    elseif pos == 3 then
        x,y,z = 0,-6,2.5
    elseif pos == 4 then 
        x, y, z = 0,-2,2.5
    elseif pos == 5 then 
        x, y, z = 0,-1,2.5
    end

    if not isCharInAnyCar(PLAYER_PED) then
        if isTruckPosVide(1) and isTruckPosVide(2) and isTruckPosVide(3) and isTruckPosVide(4) and isTruckPosVide(5) then  
        return 
        end
    end

    if truck then
         
        if isCharInAnyCar(PLAYER_PED) and not isCharInCar(PLAYER_PED, truck) then 
            local vehicle = getCarCharIsUsing( PLAYER_PED) 
            if not vehicle then 
                return 
            end
            if not isCarAttachedToTruck(vehicle) then 
            removeCharFromCarMaintainPosition(PLAYER_PED,vehicle )
            attachCarToCar(vehicle,truck,x,y,z,0,0,0)
            setCarCanBeDamaged(vehicle,false)
            setCarCollision(vehicle, false)
            setCarEngineOn(vehicle,false)
            printStringNow("~b~ attached",2000)
            attachedCars[pos] = vehicle;

            local vehName = getNameOfVehicleModel(getCarModel( vehicle))

            MENU:rowAddProperty_RightText(vehName, pos,2)
             
            

            else
                if not vehicle then 
                    return 
                end
                detachCar(vehicle)
                setCarEngineOn(vehicle,true)
                setCarCollision(vehicle, true)
                warpCharIntoCar(PLAYER_PED, vehicle)
                setCarCanBeDamaged(vehicle,true)
                attachedCars[pos] = nil; 
                MENU:rowAddProperty_RightText("NULL", pos, 2)
                printStringNow("~g~ detached",2000)
            end
        else 
            local vehicle = attachedCars[pos]
            if not vehicle then 
                return 
            end
            detachCar(vehicle)
            setCarEngineOn(vehicle,true)
            setCarCollision(vehicle, true)
            setCarCanBeDamaged(vehicle,true)
                warpCharIntoCar(PLAYER_PED, vehicle)
                attachedCars[pos] = nil; 
                MENU:rowAddProperty_RightText("NULL", pos, 2)
                printStringNow("~g~ detached",2000)
        end
    else 
        printStringNow("~r~ spawn truck first !",2000)
    end
end



function isCarAttachedToTruck (car)
  local bool
     if attachedCars[car] then 
        bool = true
     else 
        bool = false; 
     end
    return bool
end


function isTruckPosVide(posID)
local bool = false
    for id, car in pairs(attachedCars) do 
        if car == nil and id == posID then 
            bool = true
        else 
            bool = false
        end
    end

    return bool

end


function onExitScript()

    if truck then
        deleteCar(truck)
    end 
    for _,car in pairs(attachedCars) do 
        if car then 
            deleteCar(car)
        end 
    end


end