common = {}

common.mad = require "MoonAdditions"

local scr_w, scr_h = getScreenResolution()

function common.convertX(x) return (scr_w * x)/1920 end
function common.convertY(y) return (scr_h * y)/1080 end
function common.drawTexture(texture, x, y, w, h, r, g, b, a, z) texture:draw(common.convertX(x), common.convertY(y), common.convertX(w), common.convertY(h), (r or 255), (g or 255), (b or 255), (a or 255), (z or 0)) end
function common.drawText(text, x, y, fontStyle, w, h, fontAlign, wrap, r, g, b, a, shadow, border) common.mad.draw_text(text, common.convertX(x), common.convertY(y), common.mad.font_style[fontStyle], common.convertX(w), common.convertY(h), common.mad.font_align[fontAlign], wrap, true, false, r, g, b, a, shadow, border) end

return common