local common = require "lib.nativeUI.common"

textures = {}

textures.navTexture = assert(common.mad.load_png_texture("moonloader/lib/nativeUI/resources/textures/gradient_nav.png"))
textures.rect = assert(common.mad.load_png_texture("moonloader/lib/nativeUI/resources/textures/shared_rect.png"))
textures.bgdTexture = assert(common.mad.load_png_texture("moonloader/lib/nativeUI/resources/textures/gradient_bgd.png"))
textures.updownarrowTexture = assert(common.mad.load_png_texture("moonloader/lib/nativeUI/resources/textures/updown_arrow.png"))
textures.lockTexture = assert(common.mad.load_png_texture("moonloader/lib/nativeUI/resources/textures/shop_lock.png"))
textures.newTexture = assert(common.mad.load_png_texture("moonloader/lib/nativeUI/resources/textures/shop_new_star.png"))

textures.menuTextures = {
    lockarena = assert(common.mad.load_png_texture("moonloader/lib/nativeUI/resources/textures/shop_lock_arena.png")),
    shopbox = assert(common.mad.load_png_texture("moonloader/lib/nativeUI/resources/textures/shop_box_blank.png")),
    shopboxb = assert(common.mad.load_png_texture("moonloader/lib/nativeUI/resources/textures/shop_box_blankb.png")),
    tickbox = assert(common.mad.load_png_texture("moonloader/lib/nativeUI/resources/textures/shop_box_tick.png")),
    tickboxb = assert(common.mad.load_png_texture("moonloader/lib/nativeUI/resources/textures/shop_box_tickb.png")),
    crossbox = assert(common.mad.load_png_texture("moonloader/lib/nativeUI/resources/textures/shop_box_cross.png")),
    crossboxb = assert(common.mad.load_png_texture("moonloader/lib/nativeUI/resources/textures/shop_box_crossb.png")),
    tick = assert(common.mad.load_png_texture("moonloader/lib/nativeUI/resources/textures/shop_tick_icon.png")),
    chips = assert(common.mad.load_png_texture("moonloader/lib/nativeUI/resources/textures/shop_chips.png")),
    chipsb = assert(common.mad.load_png_texture("moonloader/lib/nativeUI/resources/textures/shop_chipsb.png")),
    medal = assert(common.mad.load_png_texture("moonloader/lib/nativeUI/resources/textures/medal.png")),
}

textures.badges = {
    ammo = assert(common.mad.load_png_texture("moonloader/lib/nativeUI/resources/textures/shop_ammo_icon_a.png")),
    ammob = assert(common.mad.load_png_texture("moonloader/lib/nativeUI/resources/textures/shop_ammo_icon_b.png")),
    armour = assert(common.mad.load_png_texture("moonloader/lib/nativeUI/resources/textures/shop_armour_icon_a.png")),
    armourb = assert(common.mad.load_png_texture("moonloader/lib/nativeUI/resources/textures/shop_armour_icon_b.png")),
    art = assert(common.mad.load_png_texture("moonloader/lib/nativeUI/resources/textures/shop_art_icon_a.png")),
    artb = assert(common.mad.load_png_texture("moonloader/lib/nativeUI/resources/textures/shop_art_icon_b.png")),
    barber = assert(common.mad.load_png_texture("moonloader/lib/nativeUI/resources/textures/shop_barber_icon_a.png")),
    barberb = assert(common.mad.load_png_texture("moonloader/lib/nativeUI/resources/textures/shop_barber_icon_b.png")),
    clothing = assert(common.mad.load_png_texture("moonloader/lib/nativeUI/resources/textures/shop_clothing_icon_a.png")),
    clothingb = assert(common.mad.load_png_texture("moonloader/lib/nativeUI/resources/textures/shop_clothing_icon_b.png")),
    franklin = assert(common.mad.load_png_texture("moonloader/lib/nativeUI/resources/textures/shop_franklin_icon_a.png")),
    franklinb = assert(common.mad.load_png_texture("moonloader/lib/nativeUI/resources/textures/shop_franklin_icon_b.png")),
    bike = assert(common.mad.load_png_texture("moonloader/lib/nativeUI/resources/textures/shop_garage_bike_icon_a.png")),
    bikeb = assert(common.mad.load_png_texture("moonloader/lib/nativeUI/resources/textures/shop_garage_bike_icon_b.png")),
    car = assert(common.mad.load_png_texture("moonloader/lib/nativeUI/resources/textures/shop_garage_icon_a.png")),
    carb = assert(common.mad.load_png_texture("moonloader/lib/nativeUI/resources/textures/shop_garage_icon_b.png")),
    gun = assert(common.mad.load_png_texture("moonloader/lib/nativeUI/resources/textures/shop_gunclub_icon_a.png")),
    gunb = assert(common.mad.load_png_texture("moonloader/lib/nativeUI/resources/textures/shop_gunclub_icon_b.png")),
    health = assert(common.mad.load_png_texture("moonloader/lib/nativeUI/resources/textures/shop_health_icon_a.png")),
    healthb = assert(common.mad.load_png_texture("moonloader/lib/nativeUI/resources/textures/shop_health_icon_b.png")),
    makeup = assert(common.mad.load_png_texture("moonloader/lib/nativeUI/resources/textures/shop_makeup_icon_a.png")),
    makeupb = assert(common.mad.load_png_texture("moonloader/lib/nativeUI/resources/textures/shop_makeup_icon_b.png")),
    mask = assert(common.mad.load_png_texture("moonloader/lib/nativeUI/resources/textures/shop_mask_icon_a.png")),
    maskb = assert(common.mad.load_png_texture("moonloader/lib/nativeUI/resources/textures/shop_mask_icon_b.png")),
    michael = assert(common.mad.load_png_texture("moonloader/lib/nativeUI/resources/textures/shop_michael_icon_a.png")),
    michaelb = assert(common.mad.load_png_texture("moonloader/lib/nativeUI/resources/textures/shop_michael_icon_b.png")),
    tattoo = assert(common.mad.load_png_texture("moonloader/lib/nativeUI/resources/textures/shop_tattoos_icon_a.png")),
    tattoob = assert(common.mad.load_png_texture("moonloader/lib/nativeUI/resources/textures/shop_tattoos_icon_b.png")),
    trevor = assert(common.mad.load_png_texture("moonloader/lib/nativeUI/resources/textures/shop_trevor_icon_a.png")),
    trevorb = assert(common.mad.load_png_texture("moonloader/lib/nativeUI/resources/textures/shop_trevor_icon_b.png")),
}

return textures